#include <mbed.h>
#include <Square.h>


Square::Square(long interrupt_us) :  Occilator(interrupt_us)
{
}

unsigned long Square::tick()
{
    Occilator::tick();
    if (m_Angle & 0x80000000)
    {
        return (0xffff*m_Volume) >> 16;
    }
    else
    {
        return 0;
    }
}