#include "mbed.h"
#include "global.h"
#include "WT.h"

WT::WT(long interrupt_us) :  Occilator(interrupt_us)
{
    //暫定実装
    unsigned long src[]=
    {
        0x7FFF,
0xB0FA,
0xDA80,
0xF63F,
0xFFFE,
0xF63F,
0xDA80,
0xB0FA,
0x7FFF,
0x4F03,
0x257D,
0x9BE,
0,
0x9BE,
0x257D,
0x4F03,
    };
    setWave(src);
}

void WT::setWave(unsigned long wave[16])
{
    for (int i=0;i<16;i++)
    {
        m_Wave[i]=wave[i];
    }
}

unsigned long WT::tick()
{
    Occilator::tick();
    myled3=1;
    return (m_Wave[(m_Angle >> 28) & 0xf]*m_Volume) >> 16;
} 